Bug 240579 - devel/cxxtest: Update to 4.4, Take MAINTAINER'ship
Summary: devel/cxxtest: Update to 4.4, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hans Petter Selasky
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-14 12:47 UTC by Hans Petter Selasky
Modified: 2019-10-03 15:28 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
Patch for cxxtest port. (6.10 KB, patch)
2019-09-14 12:47 UTC, Hans Petter Selasky
no flags Details | Diff
Patch for cxxtest port. (6.12 KB, patch)
2019-09-29 19:58 UTC, Hans Petter Selasky
no flags Details | Diff
Patch for cxxtest port. (6.12 KB, patch)
2019-09-29 20:34 UTC, Hans Petter Selasky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Petter Selasky freebsd_committer 2019-09-14 12:47:25 UTC
Created attachment 207487 [details]
Patch for cxxtest port.

Update port to v4.4.

And take over maintainership (maintainer timeout).
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-15 03:29:55 UTC
^Triage: Note: maintainer timeouts are timed from the date of a proposed patch, unless MAINTAINER email address 5xx's (permanent failure), in which case changes are implicitly approved
Comment 2 Hans Petter Selasky freebsd_committer 2019-09-29 19:58:33 UTC
Created attachment 207942 [details]
Patch for cxxtest port.

Updated patch with fixes for portlint.
Comment 3 Hans Petter Selasky freebsd_committer 2019-09-29 20:34:28 UTC
Created attachment 207944 [details]
Patch for cxxtest port.

Corrected License to LGPLv3.

How can I use autoplist together with pkg-plist. Will it work?

--HPS
Comment 4 Kurt Jaeger freebsd_committer 2019-10-03 14:33:10 UTC
Valid License shortforms can be found in Mk/bsd.licenses.db.mk.

LGPLv3 is, surprisingly, not a valid shortform (!), LGPL3+ is valid.

About the combination of autoplist and PLIST_FILES+=: I'm unsure if it works.

So I searched for other ports that use that construct:

cd devel
grep PLIST_FILES `grep -l autoplist */Makefile`

and found one, py-cov-core, that does the same. There are several that
have autoplist and PLIST_FILES (without the +=). So my guess is that
it will work.
Comment 5 commit-hook freebsd_committer 2019-10-03 15:27:51 UTC
A commit references this bug:

Author: hselasky
Date: Thu Oct  3 15:27:14 UTC 2019
New revision: 513670
URL: https://svnweb.freebsd.org/changeset/ports/513670

Log:
  Update to v4.4.

  And take over maintainership (maintainer timeout).

  Approved by:	pi
  PR:		240579

Changes:
  head/devel/cxxtest/Makefile
  head/devel/cxxtest/distinfo
  head/devel/cxxtest/pkg-plist
Comment 6 Hans Petter Selasky freebsd_committer 2019-10-03 15:28:21 UTC
You are right, but there is a minor bug, that if there is no space or newline at the end of the pkg-plist, the concatenation of the two will fail!